#!/tvbin/tivosh
# get_DC_key.tcl 1.0 - rc3105@dealdatabase.com/forum
# this saves the current tivo DiskConfigurationKey
# to the file DC_key.xml
# run this from var, then copy DC_key.xml to your pc for safekeeping

proc get_DC_key { } {
 set xml ""
 set db [dbopen]
 RetryTransaction {
	set obj [db $db open "/State/Media"]
	set ObjAttrs [dbobj $obj attrs]
	foreach attribute $ObjAttrs {
		set info [dbobj $obj get $attribute]
		append xml "<$attribute>$info</$attribute>\n"
	}
 }
 return $xml
}


puts "retrieving /State/Media{DiskConfiguration}"

set dc_key [get_DC_key]
set outf [open DC_key.xml w]
fconfigure $outf -translation binary
puts -nonewline $outf $dc_key
close $outf

puts $dc_key